Bug 18438 - The Table summary attribute
The Table summary attribute
Status: RESOLVED FIXED
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
PC other
: P2 trivial
: ---
Assigned To: steve faulkner
HTML WG Bugzilla archive list
: a11y, a11y_table_summary
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-30 17:02 UTC by Devarshi Pant
Modified: 2013-03-30 18:22 UTC (History)
8 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Devarshi Pant 2012-07-30 17:02:45 UTC
I am not sure regarding the fate of the summary attribute. Nevertheless, came across a scenario (apologies if it is a duplicate):

***A screen reader like JAWS will concatenate column headers and linearize the data cells. JAWS then presents this information in the table utility list***

When a summary attribute is applied, the problem seems to disappear.

-Devarshi
Comment 1 Joshue O Connor 2012-09-07 08:41:02 UTC
Devarshi, the @summary is has been obsoleted in HTML5, have you tried using a method like aria-describedby or similar to see if this is a suitable alternative?

(In reply to comment #0)
> I am not sure regarding the fate of the summary attribute. Nevertheless, came
> across a scenario (apologies if it is a duplicate):
> 
> ***A screen reader like JAWS will concatenate column headers and linearize the
> data cells. JAWS then presents this information in the table utility list***
> 
> When a summary attribute is applied, the problem seems to disappear.
> 
> -Devarshi
Comment 2 Devarshi Pant 2012-09-07 15:11:12 UTC
Josh,

I am not sure but applications developed with html5 do expose the summary attribute info to JAWS. Why does this happen? 

aria-describedby or similar alternatives, in my view, may not be as robust as the table summary.

Thanks,
-Devarshi

(In reply to comment #1)
> Devarshi, the @summary is has been obsoleted in HTML5, have you tried using a
> method like aria-describedby or similar to see if this is a suitable
> alternative?
> (In reply to comment #0)
> > I am not sure regarding the fate of the summary attribute. Nevertheless, came
> > across a scenario (apologies if it is a duplicate):
> > 
> > ***A screen reader like JAWS will concatenate column headers and linearize the
> > data cells. JAWS then presents this information in the table utility list***
> > 
> > When a summary attribute is applied, the problem seems to disappear.
> > 
> > -Devarshi
Comment 3 Joshue O Connor 2012-09-07 18:13:39 UTC
@Devarshi

The user agent (the screen reader) still supports the attribute, that is why it will still work even with a HTML5 !DOCTYPE. It won't be valid HTML5 however, but that may not be an issue for you if you want to support a particular kind of user experience, so I say 'Go for it!'

>aria-describedby or similar alternatives, in my view, may not be as robust as
>the table summary.

They are excellent alternatives, and indeed the future. However, @summary is 'hidden' by nature and aria-describedby will only point to an in page description and not a description in another URI. @summary for me was really good for the use cases that it supported (Blind, screen reader users who need a longer description for complex data tables) but the WG decided this wasn't good enough.
Comment 4 Devarshi Pant 2012-09-07 20:06:13 UTC
> @Devarshi
> The user agent (the screen reader) still supports the attribute, that is why it
> will still work even with a HTML5 !DOCTYPE. It won't be valid HTML5 however,
> but that may not be an issue for you if you want to support a particular kind
> of user experience, so I say 'Go for it!'

Will it help reinstating summary since it is easier to convince developers who are likely to use it but cannot because they want valid html5? I think the problem stems from its ill-advised use rather than due to the attribute itself.

> >aria-describedby or similar alternatives, in my view, may not be as robust as
> >the table summary.

> They are excellent alternatives, and indeed the future. However, @summary is
> 'hidden' by nature and aria-describedby will only point to an in page
> description and not a description in another URI. 

Granted ARIA is the future, but when used to substitute the summary attribute, it helps blind / low vision users.
Comment 5 Robin Berjon 2013-01-21 15:58:16 UTC
Mass move to "HTML WG"
Comment 6 Robin Berjon 2013-01-21 16:01:00 UTC
Mass move to "HTML WG"
Comment 7 steve faulkner 2013-02-26 07:23:41 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are
satisfied with this response, please change the state of this bug to CLOSED. If
you have additional information and would like the Editor to reconsider, please
reopen this bug. If you would like to escalate the issue to the full HTML
Working Group, please add the TrackerRequest keyword to this bug, and suggest
title and text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this document:

   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: rejected
Change Description:none

The HTML5 specification provides [1] a method to expose an accessible name for a table that JAWS uses to label a table in the table list i.e. the provision of a caption.

Also the aria-label may be used in addition to the methods described by Josh in this bug thread.

All of the methods described (apart from use of summary)are conforming in HTML5.

[1] http://www.w3.org/html/wg/drafts/html/master/tabular-data.html#table-descriptions-techniques
Comment 8 Devarshi Pant 2013-02-26 13:31:09 UTC
Steve,
Would it be possible to include one of the aria methods (label / describedby etc.) in Section 4.9: Tabular Data [http://www.w3.org/html/wg/drafts/html/master/tabular-data.html#table-descriptions-techniques]
thanks,
Devarshi

(In reply to comment #7)
> EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are
> satisfied with this response, please change the state of this bug to CLOSED.
> If
you have additional information and would like the Editor to reconsider,
> please
reopen this bug. If you would like to escalate the issue to the full
> HTML
Working Group, please add the TrackerRequest keyword to this bug, and
> suggest
title and text for the Tracker Issue; or you may create a Tracker
> Issue
yourself, if you are able to do so. For more details, see this
> document:

   http://dev.w3.org/html5/decision-policy/decision-policy.html
> Status: rejected
Change Description:none

The HTML5 specification provides
> [1] a method to expose an accessible name for a table that JAWS uses to
> label a table in the table list i.e. the provision of a caption.

Also the
> aria-label may be used in addition to the methods described by Josh in this
> bug thread.

All of the methods described (apart from use of summary)are
> conforming in HTML5.

[1]
> http://www.w3.org/html/wg/drafts/html/master/tabular-data.html#table-
> descriptions-techniques
Comment 9 Joshue O Connor 2013-02-26 14:15:37 UTC
Sorry Devarshi if you think I closed the bug prematurely (technically it's your bug, although I did a lot of work on this issue - I have said all I have to). Do re-open if you're not happy, but for me this issue is closed.
Comment 10 steve faulkner 2013-02-26 14:34:40 UTC
its fine to leave it closed have pinged robin berjon for advice on adding aria technique to spec as suggested by Devarshi, will get back to you.
Comment 11 Devarshi Pant 2013-02-26 15:00:20 UTC
I am fine with how it currently stands. We probably should add one of the aria techniques under '4.9.1.1 Techniques for describing tables’ to give more flexibility and options to developers. The latest post from Steve indicates that he is aware of it.
Thanks!


(In reply to comment #9)
> Sorry Devarshi if you think I closed the bug prematurely (technically it's
> your bug, although I did a lot of work on this issue - I have said all I
> have to). Do re-open if you're not happy, but for me this issue is closed.
Comment 12 John Foliot 2013-02-26 17:21:59 UTC
Devarshi,

See also: http://lists.w3.org/Archives/Public/public-html/2011Apr/0091.html (Apr 2011)
Comment 13 Devarshi Pant 2013-02-26 18:48:18 UTC
John, the results are interesting. Personally, I will pick a technique from section 4.9 (including aria), but if a business rule is hardnosed about it, would push for the table summary (within the organization) – do not care if it fails validation as long as the user benefits.

(In reply to comment #12)
> Devarshi,

See also:
> http://lists.w3.org/Archives/Public/public-html/2011Apr/0091.html (Apr 2011)
Comment 14 steve faulkner 2013-03-04 15:05:28 UTC
(In reply to comment #11)
> I am fine with how it currently stands. We probably should add one of the
> aria techniques under '4.9.1.1 Techniques for describing tables’ to give
> more flexibility and options to developers. The latest post from Steve
> indicates that he is aware of it.
> Thanks!
> 
> 
> (In reply to comment #9)
> > Sorry Devarshi if you think I closed the bug prematurely (technically it's
> > your bug, although I did a lot of work on this issue - I have said all I
> > have to). Do re-open if you're not happy, but for me this issue is closed.

Hi Devarshi, I have had some discussion with Robin Berjon the lead editor of the HTML spec and he thinks it is appropriate to add an aria technique so I will go ahead and do so and comment on bug when done.

thanks for your input!
Comment 15 Devarshi Pant 2013-03-04 18:49:38 UTC
That is going to be quite helpful, Steve. Thanks!

(In reply to comment #14)
> (In reply to comment #11)
> I am fine with how it currently stands. We
> probably should add one of the
> aria techniques under '4.9.1.1 Techniques
> for describing tables’ to give
> more flexibility and options to developers.
> The latest post from Steve
> indicates that he is aware of it.
> Thanks!
> 
> > 
> (In reply to comment #9)
> > Sorry Devarshi if you think I closed the
> bug prematurely (technically it's
> > your bug, although I did a lot of work
> on this issue - I have said all I
> > have to). Do re-open if you're not
> happy, but for me this issue is closed.

Hi Devarshi, I have had some
> discussion with Robin Berjon the lead editor of the HTML spec and he thinks
> it is appropriate to add an aria technique so I will go ahead and do so and
> comment on bug when done.

thanks for your input!
Comment 16 steve faulkner 2013-03-30 18:22:45 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are
satisfied with this response, please change the state of this bug to CLOSED. If
you have additional information and would like the Editor to reconsider, please
reopen this bug. If you would like to escalate the issue to the full HTML
Working Group, please add the TrackerRequest keyword to this bug, and suggest
title and text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this document:

   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: fixed
Change Description: added describedby example
refer to https://github.com/w3c/html/commit/3059a6a46a39015ef1735910b61bcd8e0a2c4bae

rationale: refer to Comment 15